View Issue Details

IDProjectCategoryView StatusLast Update
0032781Open CASCADEOCCT:Codingpublic2022-01-22 12:40
Reporteraml Assigned Tobugmaster  
PrioritynormalSeverityintegration request 
Status verifiedResolutionfixed 
Product Version7.6.0 
Target Version7.7.0 
Summary0032781: Coding - get rid of unused headers [BRepCheck to ChFiKPart]
DescriptionThis ticket is to clear unused headers in the packages from `BRepCheck` to `ChFiKPart`.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberN/A

Relationships

child of 0032741 newaml Coding - get rid of unused headers 

Activities

git

2022-01-17 18:25

administrator   ~0106430

Branch CR32781 has been created by aml.

SHA-1: dd0e8393397435583024fe03e8bdaa2d3c1ab737


Detailed log of new commits:

Author: aml
Date: Wed Jan 12 17:16:00 2022 +0300

    0032781: Coding - get rid of unused headers [BRepCheck to ChFiKPart]

git

2022-01-17 18:53

administrator   ~0106431

Branch CR32781 has been updated forcibly by aml.

SHA-1: 9d13d9bbc793a8124771813c81029f00cfb72561

aml

2022-01-18 06:40

developer   ~0106433

Dear Kirill,
Please take a look at the 32781 branch. Jenkins job is:
http://jenkins-test-occt.nnov.opencascade.com/view/CR32781-master-aml/view/ALL/

smoskvin

2022-01-18 21:44

administrator   ~0106461

Problems of compilation with Windows, MacOS and Linux
http://jenkins-test-08.nnov.opencascade.com/view/CR0-WEEK-3/view/OCCT%20compile/job/CR0-WEEK-3-OCCT-Windows-64-VC14-opt-compile/2/parsed_console/

git

2022-01-19 07:32

administrator   ~0106463

Branch CR32781_2 has been created by aml.

SHA-1: 4196a1bdadbf8078f60641ca012c0f4a9053d5b5


Detailed log of new commits:

Author: aml
Date: Wed Jan 12 17:16:00 2022 +0300

    0032781: Coding - get rid of unused headers [BRepCheck to ChFiKPart]

git

2022-01-19 07:34

administrator   ~0106464

Branch CR32781 has been updated by aml.

SHA-1: f6c485658a85ae088655d64171598a080e507e83


Detailed log of new commits:

Author: aml
Date: Wed Jan 19 07:30:28 2022 +0300

    # Fix compilation on IR.

aml

2022-01-19 07:35

developer   ~0106465

Compilation of OCCT is restored. Please raise.

smoskvin

2022-01-22 11:46

administrator   ~0106521

Combination -
OCCT branch : IR-2022-01-21
master SHA - 5614b1369a232f43e59cb9be4f5f8efd2075608d
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2022-01-21 SHA - 6c9eed61a7023644fdd1361491a49abf318c0d20
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18406.870000000446 / 18505.100000000388 [-0.53%]
Products
Total CPU difference: 11642.890000000107 / 11656.240000000102 [-0.11%]
Windows-64-VC14:
OCCT
Total CPU difference: 20282.578125 / 20270.375 [+0.06%]
Products
Total CPU difference: 13127.640625 / 13139.84375 [-0.09%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2022-01-22 12:40

administrator   ~0106536

Branch CR32781 has been deleted by mnt.

SHA-1: f6c485658a85ae088655d64171598a080e507e83

git

2022-01-22 12:40

administrator   ~0106537

Branch CR32781_2 has been deleted by mnt.

SHA-1: 4196a1bdadbf8078f60641ca012c0f4a9053d5b5

Related Changesets

occt: master 33a4d46b

2022-01-12 17:16:00

aml


Committer: smoskvin Details Diff
0032781: Coding - get rid of unused headers [BRepCheck to ChFiKPart] Affected Issues
0032781
mod - src/Blend/Blend_FuncInv.hxx Diff File
mod - src/BOPAlgo/BOPAlgo_BuilderSolid.cxx Diff File
mod - src/BRepCheck/BRepCheck.cxx Diff File
mod - src/BRepCheck/BRepCheck_Analyzer.cxx Diff File
mod - src/BRepCheck/BRepCheck_Analyzer.hxx Diff File
mod - src/BRepCheck/BRepCheck_Edge.cxx Diff File
mod - src/BRepCheck/BRepCheck_Face.cxx Diff File
mod - src/BRepCheck/BRepCheck_Face.hxx Diff File
mod - src/BRepCheck/BRepCheck_Result.hxx Diff File
mod - src/BRepCheck/BRepCheck_Shell.cxx Diff File
mod - src/BRepCheck/BRepCheck_Shell.hxx Diff File
mod - src/BRepCheck/BRepCheck_Solid.cxx Diff File
mod - src/BRepCheck/BRepCheck_Vertex.cxx Diff File
mod - src/BRepCheck/BRepCheck_Vertex.hxx Diff File
mod - src/BRepCheck/BRepCheck_Wire.cxx Diff File
mod - src/BRepCheck/BRepCheck_Wire.hxx Diff File
mod - src/BRepClass/BRepClass_FaceClassifier.cxx Diff File
mod - src/BRepClass/BRepClass_FaceClassifier.hxx Diff File
mod - src/BRepClass/BRepClass_FaceExplorer.hxx Diff File
mod - src/BRepClass/BRepClass_FacePassiveClassifier.hxx Diff File
mod - src/BRepClass/BRepClass_FClass2dOfFClassifier.hxx Diff File
mod - src/BRepClass/BRepClass_FClassifier.hxx Diff File
mod - src/BRepClass/BRepClass_Intersector.hxx Diff File
mod - src/BRepClass3d/BRepClass3d_BndBoxTree.hxx Diff File
mod - src/BRepClass3d/BRepClass3d_Intersector3d.cxx Diff File
mod - src/BRepClass3d/BRepClass3d_Intersector3d.hxx Diff File
mod - src/BRepClass3d/BRepClass3d_SClassifier.cxx Diff File
mod - src/BRepClass3d/BRepClass3d_SClassifier.hxx Diff File
mod - src/BRepClass3d/BRepClass3d_SolidClassifier.cxx Diff File
mod - src/BRepClass3d/BRepClass3d_SolidClassifier.hxx Diff File
mod - src/BRepClass3d/BRepClass3d_SolidExplorer.cxx Diff File
mod - src/BRepClass3d/BRepClass3d_SolidPassiveClassifier.hxx Diff File
mod - src/BRepExtrema/BRepExtrema_DistanceSS.cxx Diff File
mod - src/BRepExtrema/BRepExtrema_DistShapeShape.cxx Diff File
mod - src/BRepExtrema/BRepExtrema_DistShapeShape.hxx Diff File
mod - src/BRepExtrema/BRepExtrema_ExtCF.cxx Diff File
mod - src/BRepExtrema/BRepExtrema_ExtFF.cxx Diff File
mod - src/BRepExtrema/BRepExtrema_ExtPF.hxx Diff File
mod - src/BRepExtrema/BRepExtrema_ShapeProximity.hxx Diff File
mod - src/BRepFeat/BRepFeat.cxx Diff File
mod - src/BRepFeat/BRepFeat_Builder.cxx Diff File
mod - src/BRepFeat/BRepFeat_Builder.hxx Diff File
mod - src/BRepFeat/BRepFeat_Form.cxx Diff File
mod - src/BRepFeat/BRepFeat_Form.hxx Diff File
mod - src/BRepFeat/BRepFeat_Gluer.cxx Diff File
mod - src/BRepFeat/BRepFeat_Gluer.hxx Diff File
mod - src/BRepFeat/BRepFeat_MakeCylindricalHole.cxx Diff File
mod - src/BRepFeat/BRepFeat_MakeCylindricalHole.hxx Diff File
mod - src/BRepFeat/BRepFeat_MakeDPrism.cxx Diff File
mod - src/BRepFeat/BRepFeat_MakeDPrism.hxx Diff File
mod - src/BRepFeat/BRepFeat_MakeLinearForm.cxx Diff File
mod - src/BRepFeat/BRepFeat_MakeLinearForm.hxx Diff File
mod - src/BRepFeat/BRepFeat_MakePipe.cxx Diff File
mod - src/BRepFeat/BRepFeat_MakePipe.hxx Diff File
mod - src/BRepFeat/BRepFeat_MakePrism.cxx Diff File
mod - src/BRepFeat/BRepFeat_MakePrism.hxx Diff File
mod - src/BRepFeat/BRepFeat_MakeRevol.cxx Diff File
mod - src/BRepFeat/BRepFeat_MakeRevol.hxx Diff File
mod - src/BRepFeat/BRepFeat_MakeRevolutionForm.cxx Diff File
mod - src/BRepFeat/BRepFeat_MakeRevolutionForm.hxx Diff File
mod - src/BRepFeat/BRepFeat_RibSlot.cxx Diff File
mod - src/BRepFeat/BRepFeat_RibSlot.hxx Diff File
mod - src/BRepFeat/BRepFeat_SplitShape.cxx Diff File
mod - src/BRepFeat/BRepFeat_SplitShape.hxx Diff File
mod - src/BRepFill/BRepFill.cxx Diff File
mod - src/BRepFill/BRepFill.hxx Diff File
mod - src/BRepFill/BRepFill_ACRLaw.cxx Diff File
mod - src/BRepFill/BRepFill_AdvancedEvolved.cxx Diff File
mod - src/BRepFill/BRepFill_AdvancedEvolved.hxx Diff File
mod - src/BRepFill/BRepFill_ApproxSeewing.cxx Diff File
mod - src/BRepFill/BRepFill_ApproxSeewing.hxx Diff File
mod - src/BRepFill/BRepFill_CompatibleWires.cxx Diff File
mod - src/BRepFill/BRepFill_CompatibleWires.hxx Diff File
mod - src/BRepFill/BRepFill_ComputeCLine.hxx Diff File
mod - src/BRepFill/BRepFill_CurveConstraint.cxx Diff File
mod - src/BRepFill/BRepFill_CurveConstraint.hxx Diff File
mod - src/BRepFill/BRepFill_Draft.cxx Diff File
mod - src/BRepFill/BRepFill_DraftLaw.cxx Diff File
mod - src/BRepFill/BRepFill_DraftLaw.hxx Diff File
mod - src/BRepFill/BRepFill_Edge3DLaw.cxx Diff File
mod - src/BRepFill/BRepFill_EdgeOnSurfLaw.hxx Diff File
mod - src/BRepFill/BRepFill_Evolved.cxx Diff File
mod - src/BRepFill/BRepFill_Evolved.hxx Diff File
mod - src/BRepFill/BRepFill_Filling.cxx Diff File
mod - src/BRepFill/BRepFill_Generator.cxx Diff File
mod - src/BRepFill/BRepFill_Generator.hxx Diff File
mod - src/BRepFill/BRepFill_LocationLaw.cxx Diff File
mod - src/BRepFill/BRepFill_LocationLaw.hxx Diff File
mod - src/BRepFill/BRepFill_MultiLine.cxx Diff File
mod - src/BRepFill/BRepFill_MultiLine.hxx Diff File
mod - src/BRepFill/BRepFill_NSections.cxx Diff File
mod - src/BRepFill/BRepFill_NSections.hxx Diff File
mod - src/BRepFill/BRepFill_OffsetAncestors.cxx Diff File
mod - src/BRepFill/BRepFill_OffsetWire.cxx Diff File
mod - src/BRepFill/BRepFill_OffsetWire.hxx Diff File
mod - src/BRepFill/BRepFill_Pipe.cxx Diff File
mod - src/BRepFill/BRepFill_Pipe.hxx Diff File
mod - src/BRepFill/BRepFill_PipeShell.cxx Diff File
mod - src/BRepFill/BRepFill_PipeShell.hxx Diff File
mod - src/BRepFill/BRepFill_Section.cxx Diff File
mod - src/BRepFill/BRepFill_Section.hxx Diff File
mod - src/BRepFill/BRepFill_SectionLaw.cxx Diff File
mod - src/BRepFill/BRepFill_SectionLaw.hxx Diff File
mod - src/BRepFill/BRepFill_SectionPlacement.cxx Diff File
mod - src/BRepFill/BRepFill_SectionPlacement.hxx Diff File
mod - src/BRepFill/BRepFill_ShapeLaw.hxx Diff File
mod - src/BRepFill/BRepFill_Sweep.cxx Diff File
mod - src/BRepFill/BRepFill_Sweep.hxx Diff File
mod - src/BRepFill/BRepFill_TrimEdgeTool.cxx Diff File
mod - src/BRepFill/BRepFill_TrimEdgeTool.hxx Diff File
mod - src/BRepFill/BRepFill_TrimShellCorner.cxx Diff File
mod - src/BRepFill/BRepFill_TrimShellCorner.hxx Diff File
mod - src/BRepFill/BRepFill_TrimSurfaceTool.cxx Diff File
mod - src/BRepFill/BRepFill_TrimSurfaceTool.hxx Diff File
mod - src/BRepFilletAPI/BRepFilletAPI_LocalOperation.hxx Diff File
mod - src/BRepFilletAPI/BRepFilletAPI_MakeChamfer.cxx Diff File
mod - src/BRepFilletAPI/BRepFilletAPI_MakeChamfer.hxx Diff File
mod - src/BRepFilletAPI/BRepFilletAPI_MakeFillet.cxx Diff File
mod - src/BRepFilletAPI/BRepFilletAPI_MakeFillet.hxx Diff File
mod - src/BRepFilletAPI/BRepFilletAPI_MakeFillet2d.hxx Diff File
mod - src/BRepGProp/BRepGProp.cxx Diff File
mod - src/BRepGProp/BRepGProp.hxx Diff File
mod - src/BRepGProp/BRepGProp_Cinert.hxx Diff File
mod - src/BRepGProp/BRepGProp_Domain.cxx Diff File
mod - src/BRepGProp/BRepGProp_EdgeTool.cxx Diff File
mod - src/BRepGProp/BRepGProp_EdgeTool.hxx Diff File
mod - src/BRepGProp/BRepGProp_Face.cxx Diff File
mod - src/BRepGProp/BRepGProp_Face.hxx Diff File
mod - src/BRepGProp/BRepGProp_Gauss.cxx Diff File
mod - src/BRepGProp/BRepGProp_MeshCinert.cxx Diff File
mod - src/BRepGProp/BRepGProp_MeshProps.hxx Diff File
mod - src/BRepGProp/BRepGProp_Sinert.hxx Diff File
mod - src/BRepGProp/BRepGProp_TFunction.cxx Diff File
mod - src/BRepGProp/BRepGProp_TFunction.hxx Diff File
mod - src/BRepGProp/BRepGProp_UFunction.cxx Diff File
mod - src/BRepGProp/BRepGProp_UFunction.hxx Diff File
mod - src/BRepGProp/BRepGProp_Vinert.hxx Diff File
mod - src/BRepGProp/BRepGProp_VinertGK.cxx Diff File
mod - src/BRepGProp/BRepGProp_VinertGK.hxx Diff File
mod - src/BRepIntCurveSurface/BRepIntCurveSurface_Inter.cxx Diff File
mod - src/BRepIntCurveSurface/BRepIntCurveSurface_Inter.hxx Diff File
mod - src/BRepLib/BRepLib.cxx Diff File
mod - src/BRepLib/BRepLib_CheckCurveOnSurface.cxx Diff File
mod - src/BRepLib/BRepLib_FindSurface.cxx Diff File
mod - src/BRepLib/BRepLib_FindSurface.hxx Diff File
mod - src/BRepLib/BRepLib_FuseEdges.cxx Diff File
mod - src/BRepLib/BRepLib_FuseEdges.hxx Diff File
mod - src/BRepLib/BRepLib_MakeEdge.hxx Diff File
mod - src/BRepLib/BRepLib_MakeEdge2d.hxx Diff File
mod - src/BRepLib/BRepLib_MakeFace.hxx Diff File
mod - src/BRepLib/BRepLib_MakePolygon.cxx Diff File
mod - src/BRepLib/BRepLib_MakePolygon.hxx Diff File
mod - src/BRepLib/BRepLib_MakeShape.cxx Diff File
mod - src/BRepLib/BRepLib_MakeShape.hxx Diff File
mod - src/BRepLib/BRepLib_MakeShell.cxx Diff File
mod - src/BRepLib/BRepLib_MakeShell.hxx Diff File
mod - src/BRepLib/BRepLib_MakeSolid.cxx Diff File
mod - src/BRepLib/BRepLib_MakeSolid.hxx Diff File
mod - src/BRepLib/BRepLib_MakeVertex.hxx Diff File
mod - src/BRepLib/BRepLib_MakeWire.cxx Diff File
mod - src/BRepLib/BRepLib_MakeWire.hxx Diff File
mod - src/BRepLib/BRepLib_MakeWire_1.cxx Diff File
mod - src/BRepLib/BRepLib_ValidateEdge.cxx Diff File
mod - src/BRepLProp/BRepLProp.cxx Diff File
mod - src/BRepLProp/BRepLProp_CLProps.hxx Diff File
mod - src/BRepLProp/BRepLProp_CurveTool.hxx Diff File
mod - src/BRepLProp/BRepLProp_SLProps.hxx Diff File
mod - src/BRepLProp/BRepLProp_SurfaceTool.hxx Diff File
mod - src/BRepMAT2d/BRepMAT2d_BisectingLocus.cxx Diff File
mod - src/BRepMAT2d/BRepMAT2d_BisectingLocus.hxx Diff File
mod - src/BRepMAT2d/BRepMAT2d_Explorer.cxx Diff File
mod - src/BRepMAT2d/BRepMAT2d_Explorer.hxx Diff File
mod - src/BRepMAT2d/BRepMAT2d_LinkTopoBilo.cxx Diff File
mod - src/BRepMAT2d/BRepMAT2d_LinkTopoBilo.hxx Diff File
mod - src/BRepMesh/BRepMesh_BaseMeshAlgo.cxx Diff File
mod - src/BRepMesh/BRepMesh_Circle.hxx Diff File
mod - src/BRepMesh/BRepMesh_CircleInspector.hxx Diff File
mod - src/BRepMesh/BRepMesh_CircleTool.hxx Diff File
mod - src/BRepMesh/BRepMesh_Classifier.hxx Diff File
mod - src/BRepMesh/BRepMesh_ConeRangeSplitter.cxx Diff File
mod - src/BRepMesh/BRepMesh_ConeRangeSplitter.hxx Diff File
mod - src/BRepMesh/BRepMesh_ConstrainedBaseMeshAlgo.hxx Diff File
mod - src/BRepMesh/BRepMesh_CurveTessellator.cxx Diff File
mod - src/BRepMesh/BRepMesh_CustomBaseMeshAlgo.hxx Diff File
mod - src/BRepMesh/BRepMesh_CylinderRangeSplitter.cxx Diff File
mod - src/BRepMesh/BRepMesh_CylinderRangeSplitter.hxx Diff File
mod - src/BRepMesh/BRepMesh_DataStructureOfDelaun.cxx Diff File
mod - src/BRepMesh/BRepMesh_DataStructureOfDelaun.hxx Diff File
mod - src/BRepMesh/BRepMesh_DefaultRangeSplitter.cxx Diff File
mod - src/BRepMesh/BRepMesh_DefaultRangeSplitter.hxx Diff File
mod - src/BRepMesh/BRepMesh_Deflection.cxx Diff File
mod - src/BRepMesh/BRepMesh_Deflection.hxx Diff File
mod - src/BRepMesh/BRepMesh_DelabellaBaseMeshAlgo.hxx Diff File
mod - src/BRepMesh/BRepMesh_DelabellaMeshAlgoFactory.cxx Diff File
mod - src/BRepMesh/BRepMesh_DelabellaMeshAlgoFactory.hxx Diff File
mod - src/BRepMesh/BRepMesh_Delaun.cxx Diff File
mod - src/BRepMesh/BRepMesh_Delaun.hxx Diff File
mod - src/BRepMesh/BRepMesh_DelaunayBaseMeshAlgo.hxx Diff File
mod - src/BRepMesh/BRepMesh_DiscretRoot.hxx Diff File
mod - src/BRepMesh/BRepMesh_Edge.hxx Diff File
mod - src/BRepMesh/BRepMesh_EdgeDiscret.cxx Diff File
mod - src/BRepMesh/BRepMesh_EdgeParameterProvider.hxx Diff File
mod - src/BRepMesh/BRepMesh_EdgeTessellationExtractor.hxx Diff File
mod - src/BRepMesh/BRepMesh_FaceDiscret.cxx Diff File
mod - src/BRepMesh/BRepMesh_FaceDiscret.hxx Diff File
mod - src/BRepMesh/BRepMesh_GeomTool.cxx Diff File
mod - src/BRepMesh/BRepMesh_IncrementalMesh.cxx Diff File
mod - src/BRepMesh/BRepMesh_IncrementalMesh.hxx Diff File
mod - src/BRepMesh/BRepMesh_MeshAlgoFactory.cxx Diff File
mod - src/BRepMesh/BRepMesh_MeshAlgoFactory.hxx Diff File
mod - src/BRepMesh/BRepMesh_MeshTool.hxx Diff File
mod - src/BRepMesh/BRepMesh_ModelHealer.cxx Diff File
mod - src/BRepMesh/BRepMesh_ModelHealer.hxx Diff File
mod - src/BRepMesh/BRepMesh_ModelPostProcessor.cxx Diff File
mod - src/BRepMesh/BRepMesh_ModelPostProcessor.hxx Diff File
mod - src/BRepMesh/BRepMesh_ModelPreProcessor.cxx Diff File
mod - src/BRepMesh/BRepMesh_ModelPreProcessor.hxx Diff File
mod - src/BRepMesh/BRepMesh_OrientedEdge.hxx Diff File
mod - src/BRepMesh/BRepMesh_PluginEntryType.hxx Diff File
mod - src/BRepMesh/BRepMesh_ShapeTool.cxx Diff File
mod - src/BRepMesh/BRepMesh_ShapeTool.hxx Diff File
mod - src/BRepMesh/BRepMesh_ShapeVisitor.cxx Diff File
mod - src/BRepMesh/BRepMesh_Triangle.hxx Diff File
mod - src/BRepMesh/BRepMesh_Triangulator.hxx Diff File
mod - src/BRepMesh/BRepMesh_Vertex.hxx Diff File
mod - src/BRepMesh/BRepMesh_VertexInspector.hxx Diff File
mod - src/BRepMesh/BRepMesh_VertexTool.hxx Diff File
mod - src/BRepMeshData/BRepMeshData_Curve.cxx Diff File
mod - src/BRepMeshData/BRepMeshData_Edge.cxx Diff File
mod - src/BRepMeshData/BRepMeshData_Edge.hxx Diff File
mod - src/BRepMeshData/BRepMeshData_Face.cxx Diff File
mod - src/BRepMeshData/BRepMeshData_Model.cxx Diff File
mod - src/BRepMeshData/BRepMeshData_Model.hxx Diff File
mod - src/BRepMeshData/BRepMeshData_PCurve.cxx Diff File
mod - src/BRepMeshData/BRepMeshData_Wire.cxx Diff File
mod - src/BRepOffset/BRepOffset.cxx Diff File
mod - src/BRepOffset/BRepOffset_Analyse.cxx Diff File
mod - src/BRepOffset/BRepOffset_Analyse.hxx Diff File
mod - src/BRepOffset/BRepOffset_Inter2d.cxx Diff File
mod - src/BRepOffset/BRepOffset_Inter3d.cxx Diff File
mod - src/BRepOffset/BRepOffset_Inter3d.hxx Diff File
mod - src/BRepOffset/BRepOffset_MakeLoops.cxx Diff File
mod - src/BRepOffset/BRepOffset_MakeLoops.hxx Diff File
mod - src/BRepOffset/BRepOffset_MakeOffset.cxx Diff File
mod - src/BRepOffset/BRepOffset_MakeOffset.hxx Diff File
mod - src/BRepOffset/BRepOffset_MakeOffset_1.cxx Diff File
mod - src/BRepOffset/BRepOffset_MakeSimpleOffset.cxx Diff File
mod - src/BRepOffset/BRepOffset_Offset.cxx Diff File
mod - src/BRepOffset/BRepOffset_SimpleOffset.cxx Diff File
mod - src/BRepOffset/BRepOffset_SimpleOffset.hxx Diff File
mod - src/BRepOffset/BRepOffset_Tool.cxx Diff File
mod - src/BRepOffset/BRepOffset_Tool.hxx Diff File
mod - src/BRepOffsetAPI/BRepOffsetAPI_DraftAngle.cxx Diff File
mod - src/BRepOffsetAPI/BRepOffsetAPI_DraftAngle.hxx Diff File
mod - src/BRepOffsetAPI/BRepOffsetAPI_FindContigousEdges.cxx Diff File
mod - src/BRepOffsetAPI/BRepOffsetAPI_FindContigousEdges.hxx Diff File
mod - src/BRepOffsetAPI/BRepOffsetAPI_MakeDraft.cxx Diff File
mod - src/BRepOffsetAPI/BRepOffsetAPI_MakeDraft.hxx Diff File
mod - src/BRepOffsetAPI/BRepOffsetAPI_MakeEvolved.cxx Diff File
mod - src/BRepOffsetAPI/BRepOffsetAPI_MakeEvolved.hxx Diff File
mod - src/BRepOffsetAPI/BRepOffsetAPI_MakeFilling.cxx Diff File
mod - src/BRepOffsetAPI/BRepOffsetAPI_MakeFilling.hxx Diff File
mod - src/BRepOffsetAPI/BRepOffsetAPI_MakeOffset.cxx Diff File
mod - src/BRepOffsetAPI/BRepOffsetAPI_MakeOffset.hxx Diff File
mod - src/BRepOffsetAPI/BRepOffsetAPI_MakeOffsetShape.cxx Diff File
mod - src/BRepOffsetAPI/BRepOffsetAPI_MakeOffsetShape.hxx Diff File
mod - src/BRepOffsetAPI/BRepOffsetAPI_MakePipe.cxx Diff File
mod - src/BRepOffsetAPI/BRepOffsetAPI_MakePipe.hxx Diff File
mod - src/BRepOffsetAPI/BRepOffsetAPI_MakePipeShell.cxx Diff File
mod - src/BRepOffsetAPI/BRepOffsetAPI_MakePipeShell.hxx Diff File
mod - src/BRepOffsetAPI/BRepOffsetAPI_MakeThickSolid.cxx Diff File
mod - src/BRepOffsetAPI/BRepOffsetAPI_MakeThickSolid.hxx Diff File
mod - src/BRepOffsetAPI/BRepOffsetAPI_MiddlePath.cxx Diff File
mod - src/BRepOffsetAPI/BRepOffsetAPI_MiddlePath.hxx Diff File
mod - src/BRepOffsetAPI/BRepOffsetAPI_NormalProjection.cxx Diff File
mod - src/BRepOffsetAPI/BRepOffsetAPI_NormalProjection.hxx Diff File
mod - src/BRepOffsetAPI/BRepOffsetAPI_ThruSections.cxx Diff File
mod - src/BRepOffsetAPI/BRepOffsetAPI_ThruSections.hxx Diff File
mod - src/BRepPreviewAPI/BRepPreviewAPI_MakeBox.cxx Diff File
mod - src/BRepPrim/BRepPrim_Builder.cxx Diff File
mod - src/BRepPrim/BRepPrim_Builder.hxx Diff File
mod - src/BRepPrim/BRepPrim_Cone.hxx Diff File
mod - src/BRepPrim/BRepPrim_Cylinder.cxx Diff File
mod - src/BRepPrim/BRepPrim_Cylinder.hxx Diff File
mod - src/BRepPrim/BRepPrim_FaceBuilder.hxx Diff File
mod - src/BRepPrim/BRepPrim_GWedge.cxx Diff File
mod - src/BRepPrim/BRepPrim_GWedge.hxx Diff File
mod - src/BRepPrim/BRepPrim_OneAxis.cxx Diff File
mod - src/BRepPrim/BRepPrim_OneAxis.hxx Diff File
mod - src/BRepPrim/BRepPrim_Sphere.cxx Diff File
mod - src/BRepPrim/BRepPrim_Sphere.hxx Diff File
mod - src/BRepPrim/BRepPrim_Torus.cxx Diff File
mod - src/BRepPrim/BRepPrim_Torus.hxx Diff File
mod - src/BRepPrim/BRepPrim_Wedge.cxx Diff File
mod - src/BRepPrim/BRepPrim_Wedge.hxx Diff File
mod - src/BRepPrimAPI/BRepPrimAPI_MakeBox.cxx Diff File
mod - src/BRepPrimAPI/BRepPrimAPI_MakeBox.hxx Diff File
mod - src/BRepPrimAPI/BRepPrimAPI_MakeCone.cxx Diff File
mod - src/BRepPrimAPI/BRepPrimAPI_MakeCone.hxx Diff File
mod - src/BRepPrimAPI/BRepPrimAPI_MakeCylinder.cxx Diff File
mod - src/BRepPrimAPI/BRepPrimAPI_MakeCylinder.hxx Diff File
mod - src/BRepPrimAPI/BRepPrimAPI_MakeHalfSpace.hxx Diff File
mod - src/BRepPrimAPI/BRepPrimAPI_MakeOneAxis.cxx Diff File
mod - src/BRepPrimAPI/BRepPrimAPI_MakeOneAxis.hxx Diff File
mod - src/BRepPrimAPI/BRepPrimAPI_MakePrism.hxx Diff File
mod - src/BRepPrimAPI/BRepPrimAPI_MakeRevol.cxx Diff File
mod - src/BRepPrimAPI/BRepPrimAPI_MakeRevol.hxx Diff File
mod - src/BRepPrimAPI/BRepPrimAPI_MakeRevolution.cxx Diff File
mod - src/BRepPrimAPI/BRepPrimAPI_MakeRevolution.hxx Diff File
mod - src/BRepPrimAPI/BRepPrimAPI_MakeSphere.cxx Diff File
mod - src/BRepPrimAPI/BRepPrimAPI_MakeSphere.hxx Diff File
mod - src/BRepPrimAPI/BRepPrimAPI_MakeSweep.hxx Diff File
mod - src/BRepPrimAPI/BRepPrimAPI_MakeTorus.cxx Diff File
mod - src/BRepPrimAPI/BRepPrimAPI_MakeTorus.hxx Diff File
mod - src/BRepPrimAPI/BRepPrimAPI_MakeWedge.cxx Diff File
mod - src/BRepPrimAPI/BRepPrimAPI_MakeWedge.hxx Diff File
mod - src/BRepProj/BRepProj_Projection.cxx Diff File
mod - src/BRepProj/BRepProj_Projection.hxx Diff File
mod - src/BRepSweep/BRepSweep_Builder.cxx Diff File
mod - src/BRepSweep/BRepSweep_Iterator.cxx Diff File
mod - src/BRepSweep/BRepSweep_NumLinearRegularSweep.cxx Diff File
mod - src/BRepSweep/BRepSweep_NumLinearRegularSweep.hxx Diff File
mod - src/BRepSweep/BRepSweep_Revol.hxx Diff File
mod - src/BRepSweep/BRepSweep_Rotation.cxx Diff File
mod - src/BRepSweep/BRepSweep_Rotation.hxx Diff File
mod - src/BRepSweep/BRepSweep_Tool.cxx Diff File
mod - src/BRepSweep/BRepSweep_Tool.hxx Diff File
mod - src/BRepSweep/BRepSweep_Translation.cxx Diff File
mod - src/BRepSweep/BRepSweep_Trsf.cxx Diff File
mod - src/BRepSweep/BRepSweep_Trsf.hxx Diff File
mod - src/BRepTest/BRepTest_BasicCommands.cxx Diff File
mod - src/BRepTest/BRepTest_ChamferCommands.cxx Diff File
mod - src/BRepTest/BRepTest_CheckCommands.cxx Diff File
mod - src/BRepTest/BRepTest_CurveCommands.cxx Diff File
mod - src/BRepTest/BRepTest_DrawableHistory.hxx Diff File
mod - src/BRepTest/BRepTest_ExtremaCommands.cxx Diff File
mod - src/BRepTest/BRepTest_FeatureCommands.cxx Diff File
mod - src/BRepTest/BRepTest_FilletCommands.cxx Diff File
mod - src/BRepTest/BRepTest_FillingCommands.cxx Diff File
mod - src/BRepTest/BRepTest_GPropCommands.cxx Diff File
mod - src/BRepTest/BRepTest_HistoryCommands.cxx Diff File
mod - src/BRepTest/BRepTest_MatCommands.cxx Diff File
mod - src/BRepTest/BRepTest_OtherCommands.cxx Diff File
mod - src/BRepTest/BRepTest_PrimitiveCommands.cxx Diff File
mod - src/BRepTest/BRepTest_ProjectionCommands.cxx Diff File
mod - src/BRepTest/BRepTest_SurfaceCommands.cxx Diff File
mod - src/BRepTest/BRepTest_SweepCommands.cxx Diff File
mod - src/BRepTest/BRepTest_TopologyCommands.cxx Diff File
mod - src/BRepToIGES/BRepToIGES_BREntity.cxx Diff File
mod - src/BRepToIGES/BRepToIGES_BREntity.hxx Diff File
mod - src/BRepToIGES/BRepToIGES_BRShell.cxx Diff File
mod - src/BRepToIGES/BRepToIGES_BRSolid.cxx Diff File
mod - src/BRepToIGES/BRepToIGES_BRWire.cxx Diff File
mod - src/BRepToIGES/BRepToIGES_BRWire.hxx Diff File
mod - src/BRepToIGESBRep/BRepToIGESBRep_Entity.cxx Diff File
mod - src/BRepToIGESBRep/BRepToIGESBRep_Entity.hxx Diff File
mod - src/BRepTools/BRepTools.cxx Diff File
mod - src/BRepTools/BRepTools.hxx Diff File
mod - src/BRepTools/BRepTools_GTrsfModification.cxx Diff File
mod - src/BRepTools/BRepTools_GTrsfModification.hxx Diff File
mod - src/BRepTools/BRepTools_MapOfVertexPnt2d.hxx Diff File
mod - src/BRepTools/BRepTools_Modification.hxx Diff File
mod - src/BRepTools/BRepTools_Modifier.cxx Diff File
mod - src/BRepTools/BRepTools_Modifier.hxx Diff File
mod - src/BRepTools/BRepTools_NurbsConvertModification.cxx Diff File
mod - src/BRepTools/BRepTools_NurbsConvertModification.hxx Diff File
mod - src/BRepTools/BRepTools_PurgeLocations.cxx Diff File
mod - src/BRepTools/BRepTools_PurgeLocations.hxx Diff File
mod - src/BRepTools/BRepTools_Quilt.cxx Diff File
mod - src/BRepTools/BRepTools_Quilt.hxx Diff File
mod - src/BRepTools/BRepTools_ReShape.cxx Diff File
mod - src/BRepTools/BRepTools_ReShape.hxx Diff File
mod - src/BRepTools/BRepTools_ShapeSet.cxx Diff File
mod - src/BRepTools/BRepTools_ShapeSet.hxx Diff File
mod - src/BRepTools/BRepTools_Substitution.cxx Diff File
mod - src/BRepTools/BRepTools_Substitution.hxx Diff File
mod - src/BRepTools/BRepTools_TrsfModification.cxx Diff File
mod - src/BRepTools/BRepTools_TrsfModification.hxx Diff File
mod - src/BRepTools/BRepTools_WireExplorer.cxx Diff File
mod - src/BRepTools/BRepTools_WireExplorer.hxx Diff File
mod - src/BRepTopAdaptor/BRepTopAdaptor_FClass2d.hxx Diff File
mod - src/BRepTopAdaptor/BRepTopAdaptor_HVertex.cxx Diff File
mod - src/BRepTopAdaptor/BRepTopAdaptor_HVertex.hxx Diff File
mod - src/BRepTopAdaptor/BRepTopAdaptor_TopolTool.cxx Diff File
mod - src/BRepTopAdaptor/BRepTopAdaptor_TopolTool.hxx Diff File
mod - src/BSplCLib/BSplCLib.cxx Diff File
mod - src/BSplCLib/BSplCLib.hxx Diff File
mod - src/BSplCLib/BSplCLib_Cache.cxx Diff File
mod - src/BSplCLib/BSplCLib_Cache.hxx Diff File
mod - src/BSplCLib/BSplCLib_CacheParams.hxx Diff File
mod - src/BSplSLib/BSplSLib.hxx Diff File
mod - src/BSplSLib/BSplSLib_Cache.cxx Diff File
mod - src/BSplSLib/BSplSLib_Cache.hxx Diff File
mod - src/BSplSLib/BSplSLib_EvaluatorFunction.hxx Diff File
mod - src/BVH/BVH.cxx Diff File
mod - src/CDF/CDF_Application.cxx Diff File
mod - src/CDF/CDF_Application.hxx Diff File
mod - src/CDF/CDF_Directory.hxx Diff File
mod - src/CDF/CDF_DirectoryIterator.cxx Diff File
mod - src/CDF/CDF_DirectoryIterator.hxx Diff File
mod - src/CDF/CDF_FWOSDriver.cxx Diff File
mod - src/CDF/CDF_FWOSDriver.hxx Diff File
mod - src/CDF/CDF_MetaDataDriver.cxx Diff File
mod - src/CDF/CDF_Store.cxx Diff File
mod - src/CDF/CDF_Store.hxx Diff File
mod - src/CDF/CDF_StoreList.cxx Diff File
mod - src/CDF/CDF_StoreList.hxx Diff File
mod - src/CDM/CDM_Application.cxx Diff File
mod - src/CDM/CDM_Application.hxx Diff File
mod - src/CDM/CDM_Document.cxx Diff File
mod - src/CDM/CDM_MapOfDocument.hxx Diff File
mod - src/CDM/CDM_MetaData.cxx Diff File
mod - src/CDM/CDM_MetaData.hxx Diff File
mod - src/CDM/CDM_Reference.hxx Diff File
mod - src/CDM/CDM_ReferenceIterator.hxx Diff File
mod - src/ChFi2d/ChFi2d_AnaFilletAlgo.cxx Diff File
mod - src/ChFi2d/ChFi2d_Builder.cxx Diff File
mod - src/ChFi2d/ChFi2d_Builder.hxx Diff File
mod - src/ChFi2d/ChFi2d_Builder_0.cxx Diff File
mod - src/ChFi2d/ChFi2d_ChamferAPI.cxx Diff File
mod - src/ChFi2d/ChFi2d_FilletAlgo.cxx Diff File
mod - src/ChFi2d/ChFi2d_FilletAlgo.hxx Diff File
mod - src/ChFi3d/ChFi3d.cxx Diff File
mod - src/ChFi3d/ChFi3d.hxx Diff File
mod - src/ChFi3d/ChFi3d_Builder.cxx Diff File
mod - src/ChFi3d/ChFi3d_Builder.hxx Diff File
mod - src/ChFi3d/ChFi3d_Builder_0.cxx Diff File
mod - src/ChFi3d/ChFi3d_Builder_0.hxx Diff File
mod - src/ChFi3d/ChFi3d_Builder_1.cxx Diff File
mod - src/ChFi3d/ChFi3d_Builder_2.cxx Diff File
mod - src/ChFi3d/ChFi3d_Builder_6.cxx Diff File
mod - src/ChFi3d/ChFi3d_Builder_C1.cxx Diff File
mod - src/ChFi3d/ChFi3d_Builder_C2.cxx Diff File
mod - src/ChFi3d/ChFi3d_Builder_CnCrn.cxx Diff File
mod - src/ChFi3d/ChFi3d_Builder_NotImp.cxx Diff File
mod - src/ChFi3d/ChFi3d_Builder_SpKP.cxx Diff File
mod - src/ChFi3d/ChFi3d_ChBuilder.cxx Diff File
mod - src/ChFi3d/ChFi3d_ChBuilder.hxx Diff File
mod - src/ChFi3d/ChFi3d_ChBuilder_C2.cxx Diff File
mod - src/ChFi3d/ChFi3d_ChBuilder_C3.cxx Diff File
mod - src/ChFi3d/ChFi3d_Debug.cxx Diff File
mod - src/ChFi3d/ChFi3d_FilBuilder.cxx Diff File
mod - src/ChFi3d/ChFi3d_FilBuilder.hxx Diff File
mod - src/ChFi3d/ChFi3d_FilBuilder_C2.cxx Diff File
mod - src/ChFi3d/ChFi3d_FilBuilder_C3.cxx Diff File
mod - src/ChFiDS/ChFiDS_ChamfSpine.hxx Diff File
mod - src/ChFiDS/ChFiDS_CircSection.hxx Diff File
mod - src/ChFiDS/ChFiDS_CommonPoint.cxx Diff File
mod - src/ChFiDS/ChFiDS_CommonPoint.hxx Diff File
mod - src/ChFiDS/ChFiDS_ElSpine.cxx Diff File
mod - src/ChFiDS/ChFiDS_ElSpine.hxx Diff File
mod - src/ChFiDS/ChFiDS_FilSpine.cxx Diff File
mod - src/ChFiDS/ChFiDS_HData.hxx Diff File
mod - src/ChFiDS/ChFiDS_Map.hxx Diff File
mod - src/ChFiDS/ChFiDS_Regul.hxx Diff File
mod - src/ChFiDS/ChFiDS_SecHArray1.hxx Diff File
mod - src/ChFiDS/ChFiDS_Spine.cxx Diff File
mod - src/ChFiDS/ChFiDS_Stripe.hxx Diff File
mod - src/ChFiDS/ChFiDS_StripeMap.cxx Diff File
mod - src/ChFiDS/ChFiDS_SurfData.cxx Diff File
mod - src/ChFiDS/ChFiDS_SurfData.hxx Diff File
mod - src/ChFiKPart/ChFiKPart_ComputeData.cxx Diff File
mod - src/ChFiKPart/ChFiKPart_ComputeData_ChAsymPlnCon.cxx Diff File
mod - src/ChFiKPart/ChFiKPart_ComputeData_ChPlnCon.cxx Diff File
mod - src/ChFiKPart/ChFiKPart_ComputeData_CS.hxx Diff File
mod - src/ChFiKPart/ChFiKPart_ComputeData_Fcts.hxx Diff File
mod - src/ChFiKPart/ChFiKPart_ComputeData_FilPlnCon.cxx Diff File
mod - src/ChFiKPart/ChFiKPart_ComputeData_FilPlnPln.cxx Diff File
mod - src/ChFiKPart/ChFiKPart_ComputeData_Rotule.cxx Diff File
mod - src/TopExp/TopExp.hxx Diff File

Issue History

Date Modified Username Field Change
2022-01-17 18:23 aml New Issue
2022-01-17 18:23 aml Assigned To => aml
2022-01-17 18:23 aml Relationship added child of 0032741
2022-01-17 18:25 git Note Added: 0106430
2022-01-17 18:53 git Note Added: 0106431
2022-01-18 06:40 aml Assigned To aml => kgv
2022-01-18 06:40 aml Status new => resolved
2022-01-18 06:40 aml Note Added: 0106433
2022-01-18 11:26 kgv Assigned To kgv => bugmaster
2022-01-18 11:26 kgv Status resolved => reviewed
2022-01-18 11:26 kgv Steps to Reproduce Updated
2022-01-18 11:26 kgv Test case number => N/A
2022-01-18 12:27 kgv Time allocated 18.1.2022: 1 h. => set
2022-01-18 21:44 smoskvin Assigned To bugmaster => aml
2022-01-18 21:44 smoskvin Status reviewed => assigned
2022-01-18 21:44 smoskvin Note Added: 0106461
2022-01-19 07:32 git Note Added: 0106463
2022-01-19 07:34 git Note Added: 0106464
2022-01-19 07:34 aml Status assigned => resolved
2022-01-19 07:35 aml Assigned To aml => bugmaster
2022-01-19 07:35 aml Status resolved => reviewed
2022-01-19 07:35 aml Note Added: 0106465
2022-01-22 11:46 smoskvin Status reviewed => tested
2022-01-22 11:46 smoskvin Note Added: 0106521
2022-01-22 12:09 smoskvin Changeset attached => occt master 33a4d46b
2022-01-22 12:23 bugmaster Status tested => verified
2022-01-22 12:23 bugmaster Resolution open => fixed
2022-01-22 12:40 git Note Added: 0106536
2022-01-22 12:40 git Note Added: 0106537